Subject: Re: [RFC:] struct net_device_ops: Add function pointer to fill device specific ndisc information

From: Stephan Gatzka <[email-masked]>
Date: Sun, 27 Jan 2013 18:21:35 +0100

>
> I am not a contributor to net/, hence don't have a say over how the
> networking APIs should evolve.
>
> Any solution is fine with me, as long as net/ does not use any definitions
> or declarations from <linux/firewire.h>.

O.k. then I will go for Yoshifujis "extended hwaddress" approch.

I think I will divide all the stuff into two major pieces:

First I will rewrite the existing IPv4 over Firewire driver to use the 
notification mechanisms and also generate the RFC2734 ARP packets in the 
arp code.

Then I'll implement the IPv6 stuff based on that IPv4 solution.

Regards and many thanks for the discussion especially to Yoshifuji.

Stephan